Bug 838479 - [RFE] Test version should be printed in protocol in journal
[RFE] Test version should be printed in protocol in journal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 04:39 EDT by Zbysek MRAZ
Modified: 2014-09-02 10:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-02 10:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbysek MRAZ 2012-07-09 04:39:51 EDT
When reviewing tests results, you are not able to see version of the test which was used.

The test protocol in testout.log should print with the duration time, architecture, hostname and other informations also the version of the test.
Comment 1 Jiri Jaburek 2012-07-09 09:24:53 EDT
Note that "test version" here probably refers to beaker RPM version of the test / git tag name rather than TESTVERSION exported in Makefile of each test.
Comment 2 Petr Muller 2012-07-09 10:18:12 EDT
I'll need to think about that: the test version is Beaker specific thing, therefore not a real upstream material. But the modifcation is probably needed to go into the journal, and I cannot do that in beakerlib-redhat. I'll probably just patch it in the RPMs going to Beaker.
Comment 3 Aleš Mareček 2013-02-20 10:15:17 EST
Is it possible to call some function (from beakerlib-redhat) that can do the job? The function could be listed automatically by beaker-wizard.

(I don't know if this is possible, just my 2 cents...)
Comment 5 Fedora Admin XMLRPC Client 2014-09-02 08:13:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Dalibor Pospíšil 2014-09-02 10:07:10 EDT
If the test is executed in beaker the test version can be obtained from beaker logs. If it is execute elsewhere it is nearly impossible to get the version as the source of the test can be various. The only think I can imagine is to have some functions which would call some registered callback function/program which provides desired info in specific environments. If something like this is needed feel free to reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.